curl --request GET \
--url https://sandbox.cashfree.com/pg/orders/{order_id}/settlements \
--header 'x-api-version: <x-api-version>' \
--header 'x-client-id: <api-key>' \
--header 'x-client-secret: <api-key>'import requests
url = "https://sandbox.cashfree.com/pg/orders/{order_id}/settlements"
headers = {
"x-api-version": "<x-api-version>",
"x-client-id": "<api-key>",
"x-client-secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-api-version': '<x-api-version>',
'x-client-id': '<api-key>',
'x-client-secret': '<api-key>'
}
};
fetch('https://sandbox.cashfree.com/pg/orders/{order_id}/settlements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cf_payment_id": 553338,
"order_id": "order-12-127",
"entity": "settlement",
"order_amount": 100,
"payment_time": "2021-07-13T13:13:59+05:30",
"service_charge": 10,
"service_tax": 1.8,
"settlement_amount": 88.2,
"cf_settlement_id": 6121238,
"transfer_id": 238,
"transfer_time": "2021-07-25T12:57:52+05:30",
"transfer_utr": "N87912312",
"order_currency": "INR",
"settlement_currency": "INR"
}{
"message": "bad URL, please check API documentation",
"code": "request_failed",
"type": "invalid_request_error"
}{
"message": "authentication Failed",
"code": "request_failed",
"type": "authentication_error"
}{
"message": "something is not found",
"code": "somethind_not_found",
"type": "invalid_request_error"
}{
"message": "order with same id is already present",
"code": "order_already_exists",
"type": "invalid_request_error"
}{
"message": "something is not found",
"code": "request_invalid",
"type": "idempotency_error"
}{
"message": "Too many requests from IP. Check headers",
"code": "request_failed",
"type": "rate_limit_error"
}{
"message": "internal Server Error",
"code": "internal_error",
"type": "api_error"
}{
"message": "something is not found",
"code": "bank_processing_failure",
"type": "api_error"
}Get Settlements by Order ID
Use this API to view all the settlements of a particular order.
Authorizations
Client app ID. You can find your app id in the Merchant Dashboard.
Client secret key. You can find your secret in the Merchant Dashboard.
Headers
API version to be used
Request id for the API call. Can be used to resolve tech issues. Communicate this in your tech related queries to cashfree
Idempotency works by saving the resulting status code and body of the first request made for any given idempotency key, regardless of whether it succeeded or failed. Subsequent requests with the same key return the same result, including 500 errors.
Currently supported on all POST calls that uses x-client-id & x-client-secret. To use enable, pass x-idempotency-key in the request header. The value of this header must be unique to each operation you are trying to do. One example can be to use the same order_id that you pass while creating orders
Path Parameters
The id which uniquely identifies your order
Response
OK
Settlement entity object
Was this page helpful?